import QtQuick 1.1
import qb.components 1.0
import "buienradar.js" as BuienradarJS

Screen {
	id: buienradarDetailsScreen

	screenTitle: "Actueel weer plus weersverwachting";

	property string tlineTempName: BuienradarJS.getlocationName(app.location);
	property string tlineTemp: BuienradarJS.lineTemp(app.temperatuurGC);
	property string tlineWindrichting: BuienradarJS.lineWindrichting(app.windrichting);
	property string tlineWindsnelheid: BuienradarJS.lineWindsnelheid(app.windsnelheidBF);
	property string tlineLuchtvochtigheid: BuienradarJS.lineLuchtvochtigheid(app.luchtvochtigheid);
	property string tlineZichtmeters: BuienradarJS.lineZichtmeters(app.zichtmeters);
	property string tlineLuchtdruk: BuienradarJS.lineLuchtdruk(app.luchtdruk);
	property string tlinedp1Wind: BuienradarJS.formatWind2(app.dp1windrichting, app.dp1windkracht)
	property string tlinedp2Wind: BuienradarJS.formatWind2(app.dp2windrichting, app.dp2windkracht)
	property string tlinedp3Wind: BuienradarJS.formatWind2(app.dp3windrichting, app.dp3windkracht)
	property string tlinedp4Wind: BuienradarJS.formatWind2(app.dp4windrichting, app.dp4windkracht)
	property string tlinedp5Wind: BuienradarJS.formatWind2(app.dp5windrichting, app.dp5windkracht)


	property bool dimState: screenStateController.dimmedColors;

	onCustomButtonClicked: {
		if (app.buienradarStationScreen) {
			 app.buienradarStationScreen.show();
		}
	}

	onShown: {
		addCustomTopRightButton("Weerstation");
	}

//selected weatherstation data

	Rectangle {
		id: backgroundRect
		height: 185
		width: 275
		anchors {
			baseline: parent.top
			baselineOffset: 5
			left: parent.left
			leftMargin: 0
		}
		color: colors.addDeviceBackgroundRectangle
	}

	Rectangle {
		id: backgroundRect2
		height: 185
		width: 500
		anchors {
			baseline: parent.top
			baselineOffset: 5
			left: parent.left
			leftMargin: 290
		}
		color: colors.addDeviceBackgroundRectangle
	}
	
	Text {
		id: buienradarTitelWS
		text: tlineTempName
		anchors {
			baseline: parent.top
			baselineOffset: 25
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradardatumUpdate
		text: "Laatste update:"
		anchors {
			baseline: parent.top
			baselineOffset: 45
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradardatumUpdateText
		text: BuienradarJS.dateFormat(app.datumupdate)
		anchors {
			baseline: parent.top
			baselineOffset: 45
			left: parent.left
			leftMargin: 125
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l1
		text: "Temperatuur:"
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}


	Text {
		id: buienradarDS2v1
		text: tlineTemp
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l2
		text: "Windsnelheid:"
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}


	Text {
		id: buienradarDS2v2
		text: tlineWindsnelheid
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l3
		text: "Windrichting:"
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradarDS2v3
		text: app.windrichting
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l4
		text: "Luchtvochtigheid:"
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradarDS2v4
		text: tlineLuchtvochtigheid
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l5
		text: "Luchtdruk:"
		anchors {
			baseline: parent.top
			baselineOffset: 150
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradarDS2v5
		text: tlineLuchtdruk
		anchors {
			baseline: parent.top
			baselineOffset: 150
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}

	Text {
		id: buienradarDS1l6
		text: "Zicht:"
		anchors {
			baseline: parent.top
			baselineOffset: 170
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: buienradarDS2v6
		text: tlineZichtmeters
		anchors {
			baseline: parent.top
			baselineOffset: 170
			left: parent.left
			leftMargin: 180
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
	}


//weatherforecast data day of week

	Text {
		id: forecastdp1dagweek
		text: app.dp1dagweek
		anchors {
			baseline: parent.top
			baselineOffset: 30
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp2dagweek
		text: app.dp2dagweek
		anchors {
			baseline: parent.top
			baselineOffset: 30
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp3dagweek
		text: app.dp3dagweek
		anchors {
			baseline: parent.top
			baselineOffset: 30
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp4dagweek
		text: app.dp4dagweek
		anchors {
			baseline: parent.top
			baselineOffset: 30
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp5dagweek
		text: app.dp5dagweek
		anchors {
			baseline: parent.top
			baselineOffset: 30
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

//weatherforecast zonkans

	Text {
		id: forecastdp1kanszonlabel
		text: "zonkans %"
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 300
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp1kanszon
		text: app.dp1kanszon
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp2kanszon
		text: app.dp2kanszon
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp3kanszon
		text: app.dp3kanszon
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp4kanszon
		text: app.dp4kanszon
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp5kanszon
		text: app.dp5kanszon
		anchors {
			baseline: parent.top
			baselineOffset: 50
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

//weatherforecast regenkans

	Text {
		id: forecastdp1kansregenlabel
		text: "neerslag %"
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 300
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp1kansregen
		text: app.dp1kansregen
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp2kansregen
		text: app.dp2kansregen
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp3kansregen
		text: app.dp3kansregen
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp4kansregen
		text: app.dp4kansregen
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp5kansregen
		text: app.dp5kansregen
		anchors {
			baseline: parent.top
			baselineOffset: 70
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

//weatherforecast min temp

	Text {
		id: forecastdp1mintemplabel
		text: "min. temp"
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 300
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp1mintemp
		text: app.dp1mintemp
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp2mintemp
		text: app.dp2mintemp
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp3mintemp
		text: app.dp3mintemp
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp4mintemp
		text: app.dp4mintemp
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp5mintemp
		text: app.dp5mintemp
		anchors {
			baseline: parent.top
			baselineOffset: 90
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

//weatherforecast max temp

	Text {
		id: forecastdp1maxtemplabel
		text: "max. temp"
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 300
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp1maxtemp
		text: app.dp1maxtemp
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp2maxtemp
		text: app.dp2maxtemp
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp3maxtemp
		text: app.dp3maxtemp
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp4maxtemp
		text: app.dp4maxtemp
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp5maxtemp
		text: app.dp5maxtemp
		anchors {
			baseline: parent.top
			baselineOffset: 110
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

//weatherforecast wind

	Text {
		id: forecastdp1windlabel
		text: "wind"
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 300
		}
		font {
			family: qfont.bold.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}
	Text {
		id: forecastdp1wind
		text: tlinedp1Wind
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 400
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp2wind
		text: tlinedp2Wind
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 480
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp3wind
		text: tlinedp3Wind
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 560
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp4wind
		text: tlinedp4Wind
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 640
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}

	Text {
		id: forecastdp5wind
		text: tlinedp5Wind
		anchors {
			baseline: parent.top
			baselineOffset: 130
			left: parent.left
			leftMargin: 720
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor

	}


//weatherforecast icons

	Image {
		id: forecastdp1icoon
		source: app.dp1icoon
		anchors {
			baseline: parent.top
			baselineOffset: 145
			left: parent.left
			leftMargin: 400
		}
		cache: false
	}


	Image {
		id: forecastdp2icoon
		source: app.dp2icoon
		anchors {
			baseline: parent.top
			baselineOffset: 145
			left: parent.left
			leftMargin: 480
		}
		cache: false
	}


	Image {
		id: forecastdp3icoon
		source: app.dp3icoon
		anchors {
			baseline: parent.top
			baselineOffset: 145
			left: parent.left
			leftMargin: 560
		}
		cache: false
	}


	Image {
		id: forecastdp4icoon
		source: app.dp4icoon
		anchors {
			baseline: parent.top
			baselineOffset: 145
			left: parent.left
			leftMargin: 640
		}
		cache: false
	}


	Image {
		id: forecastdp5icoon
		source: app.dp5icoon
		anchors {
			baseline: parent.top
			baselineOffset: 145
			left: parent.left
			leftMargin: 720
		}
		cache: false
	}

	Text {
		id: buienradarDS2wvtitel
		text: app.weersverwachtingTitel
		anchors {
			baseline: parent.top
			baselineOffset: 215
			left: parent.left
			leftMargin: 10
		}
		font {
			family: qfont.bold.name
			pixelSize: 20
		}
		color: colors.clockTileColor
	}

	Rectangle {
		id: backgroundRect3
		height: 180
		width: 580
		anchors {
			baseline: parent.top
			baselineOffset: 225
			left: parent.left
			leftMargin: 10
		}
		color: colors.addDeviceBackgroundRectangle

	       Flickable {
	            id: flickArea
	             anchors.fill: parent
	             contentWidth: backgroundRect3.width; contentHeight: backgroundRect3.height
	             flickableDirection: Flickable.VerticalFlick
	             clip: true

	             TextEdit{
	                  id: helpText
	                   wrapMode: TextEdit.Wrap
	                   width:backgroundRect3.width;
	                   readOnly:true
				font {
					family: qfont.regular.name
					pixelSize: 15
				}

	                   text:  app.weersverwachtingTekst
	            }
	      }
	}

	Rectangle {
 		id: backgroundRectradar
		height: 180
		width: 180
		anchors {
			baseline: parent.top
			baselineOffset: 225
			right: parent.right
			rightMargin: 10
		}
    		AnimatedImage { id: animation; source: app.radarimagesSmallurl }
	}

	Image {
		id: locationmarker2
		source: "./drawables/buienradarMarker.png"
		anchors {
			baseline: backgroundRectradar.top
			baselineOffset: app.ycoordinateMarkerSmallMap - 3
			left: backgroundRectradar.left
			leftMargin: app.xcoordinateMarkerSmallMap - 4
		}
	}
}
