import QtQuick 1.1
import qb.components 1.0
import BxtClient 1.0
import "buienradar.js" as BuienradarJS

Screen {
	id: lonlatEntryScreen

	QtObject {
		id: p

//		property int _PASS_KEYBOARD: 1
//		property int _NAME_KEYBOARD: 2

	}

//	function openKeyboard(location) {
//		if (location === p._PASS_KEYBOARD) {
//			qkeyboard.open("Enter Latitude", latLabel.inputText, saveLat, validateCoordinate);
//		} else {
//			qkeyboard.open("Enter Longitude", lonLabel.inputText, saveNetworkName);
//		}
//	}

	function saveLon(text) {
		//rounding at 2 decimals
		if (text) {
			app.lon = (Math.round(parseFloat(text.replace(",", ".")) * 100) / 100);
			app.xcoordinateMarkerBigMap = 40 * app.lon;
			app.xcoordinateMarkerSmallMap = 18 * app.lon;
			lonLabel.inputText = app.lon;
			app.lonlatmapsource = "http://toon/"
			app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=13&size=300x300&markers="  + app.lat + "," + app.lon;

	   		var doc2 = new XMLHttpRequest();
   			doc2.onreadystatechange = function() {
       			if (doc2.readyState == XMLHttpRequest.DONE) {
      					// output response of request
      					console.log(doc2.status);
       			}
   			}
   			doc2.open("PUT", "file:///HCBv2/qml/apps/buienradar/selectedLongitude.txt");
   			doc2.send(app.lon);
		}
	}

	function saveLat(text) {
		//rounding at 2 decimals
		if (text) {
			app.lat = (Math.round(parseFloat(text.replace(",", ".")) * 100) / 100);
			app.ycoordinateMarkerBigMap = (3101.552 -(3 * app.lat)/0.053)/0.75;
			app.ycoordinateMarkerSmallMap = (3101.552 -(3 * app.lat)/0.053)/ 1.6667;
			latLabel.inputText = app.lat;
			app.lonlatmapsource = "http://toon/"
			app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=13&size=300x300&markers="  + app.lat + "," + app.lon;

	   		var doc2 = new XMLHttpRequest();
   			doc2.onreadystatechange = function() {
       			if (doc2.readyState == XMLHttpRequest.DONE) {
      					// output response of request
      					console.log(doc2.status);
       			}
   			}
   			doc2.open("PUT", "file:///HCBv2/qml/apps/buienradar/selectedLatitude.txt");
   			doc2.send(app.lat);		}
	}

	function changeZoom(direction) {
		var tmpzoomLevel = 0;
		tmpzoomLevel = app.zoomLevel;
		if (direction === "increase") {
			if (tmpzoomLevel < 20) {
				tmpzoomLevel = tmpzoomLevel + 1;
			}
		}
		if (direction === "decrease") {
			if (tmpzoomLevel > 1) {
				tmpzoomLevel = tmpzoomLevel - 1;
			}
		}
		app.zoomLevel = tmpzoomLevel;
		app.lonlatmapsource = "http://toon/";
		app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=" + tmpzoomLevel + "&size=300x300&markers="  + app.lat + "," + app.lon;
	}


	function saveYaxis(text) {
		if (text) {
			app.yaxisScale = (Math.round(parseFloat(text.replace(",", ".")) * 10) / 10);
			yaxisLabel.inputText = app.yaxisScale;
		}
	}

	function showMouse(x,y) {
		lonLabel.inputText = BuienradarJS.calcXcoordinate(app.lon, x, app.zoomLevel);
		latLabel.inputText = BuienradarJS.calcYcoordinate(app.lat, y, app.zoomLevel);
		app.lat = (Math.round(parseFloat(latLabel.inputText) * 100) / 100);
		app.ycoordinateMarkerBigMap = (3101.552 -(3 * app.lat)/0.053)/0.75;
		app.ycoordinateMarkerSmallMap = (3101.552 -(3 * app.lat)/0.053)/1.6667;
		latLabel.inputText = app.lat;

		app.lon = (Math.round(parseFloat(lonLabel.inputText) * 100) / 100);
		app.xcoordinateMarkerBigMap = 40 * app.lon;
		app.xcoordinateMarkerSmallMap = 18 * app.lon;
		lonLabel.inputText = app.lon;

		app.lonlatmapsource = "http://toon/";
		app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=" + app.zoomLevel + "&size=300x300&markers="  + latLabel.inputText + "," + lonLabel.inputText;

	}

	function validateCoordinate(text, isFinalString) {
		return null;
	}

	hasCancelButton: true
	hasSaveButton: false

	screenTitle: "Locatie regenvoorspelling"

	onShown: {
		addCustomTopRightButton("Terug");
		lonLabel.inputText = app.lon;
		latLabel.inputText = app.lat;
		yaxisLabel.inputText = app.yaxisScale;
		zoomLevel = 13;
	}

	onCustomButtonClicked: {
		app.updateRegenkans();
		hide();
	}

	onCanceled: {
	}

	Text {
		id: title
		x: 30
		y: 30
		text: "Invoeren GPS coordinaten (max 2 decimalen)"
		font.pixelSize: 16
		font.family: qfont.semiBold.name
		color: colors.rbTitle
	}
	Text {
		id: title2
		x: 30
		y: 50
		text: "hieronder of klik ergens op de kaart."
		font.pixelSize: 16
		font.family: qfont.semiBold.name
		color: colors.rbTitle
	}

	EditTextLabel {
		id: lonLabel
		width: 350
		height: 35
		leftText: "Lengtegraad"

		anchors {
			left: title2.left
			top: title2.bottom
			topMargin: 6
		}

		onClicked: {
			qnumKeyboard.open("Lengtegraad", lonLabel.inputText, app.lon, 1 , saveLon, validateCoordinate);
		}
	}

	IconButton {
		id: lonButton;
		width: 40
		iconSource: "../../images/edit.png"

		anchors {
			left: lonLabel.right
			leftMargin: 6
			top: title2.bottom
			topMargin: 6
		}

		bottomClickMargin: 3
		onClicked: {
			qnumKeyboard.open("Lengtegraad", lonLabel.inputText, app.lon, 1 , saveLon, validateCoordinate);
		}
	}

	EditTextLabel {
		id: latLabel
		width: lonLabel.width
		height: 35
		leftText: "Breedtegraad"

		anchors {
			left: title.left
			top: lonLabel.bottom
			topMargin: 6
		}

		onClicked: {
			qnumKeyboard.open("Breedtegraad", latLabel.inputText, app.lat, 1 , saveLat, validateCoordinate);
		}
	}

	IconButton {
		id: latButton;
		width: 40
		iconSource: "../../images/edit.png"

		anchors {
			left: latLabel.right
			leftMargin: 6
			top: lonLabel.bottom
			topMargin: 6
		}

		topClickMargin: 3
		onClicked: {
			qnumKeyboard.open("Breedtegraad", latLabel.inputText, app.lat, 1 , saveLat, validateCoordinate);
		}
	}

	EditTextLabel {
		id: yaxisLabel
		width: lonLabel.width
		height: 35
		leftText: "Schaal grafiek"

		anchors {
			left: title.left
			top: latLabel.bottom
			topMargin: 50
		}

		onClicked: {
			qnumKeyboard.open("Y-as schaal", yaxisLabel.inputText, app.yaxisScale, 1 , saveYaxis, validateCoordinate);
		}
	}

	IconButton {
		id: yaxisButton;
		width: 40
		iconSource: "../../images/edit.png"

		anchors {
			left: yaxisLabel.right
			leftMargin: 6
			top: latLabel.bottom
			topMargin: 50
		}

		topClickMargin: 3
		onClicked: {
			qnumKeyboard.open("Schaal grafiek", yaxisLabel.inputText, app.yaxisScale, 1 , saveYaxis, validateCoordinate);
		}
	}

	Image {
		id: lonlatmap
		source: app.lonlatmapsource
		anchors {
			right: parent.right
			rightMargin: 10
			verticalCenter: parent.verticalCenter
		}

		MouseArea {
			id: mapMouseArea
			anchors.fill: parent
			onClicked: showMouse(mouseX, mouseY)
		}
		cache: false
	}

	Text {
		id: uitlegLabel
		text: "Schaal grafiek: voor flexibele schaling op basis"

		anchors {
			left: title.left
			top: yaxisLabel.bottom
			topMargin: 6
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 16
		}
		color: colors.rbTitle
	}

	Text {
		id: uitlegLabel2
		text: "van de opgehaalde gegevens voer waarde 0 in."

		anchors {
			left: title.left
			top: yaxisLabel.bottom
			topMargin: 26
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 16
		}
		color: colors.rbTitle

	}


	IconButton {
		id: zoomIn
		iconSource: "../thermostat/drawables/PlusSmall.png"
		anchors {
			right: parent.right
			rightMargin: 30
			top: parent.top
			topMargin: 20
		}

		topClickMargin: 3
		onClicked: {
			changeZoom("increase");
		}
	}

	IconButton {
		id: zoomOut
		iconSource: "../thermostat/drawables/MinusSmall.png"
		anchors {
			right: parent.right
			rightMargin: 70
			top: parent.top
			topMargin: 20
		}
		topClickMargin: 3
		onClicked: {
			changeZoom("decrease");
		}
	}

}
