import QtQuick 1.1
import qb.components 1.0
import BasicUIControls 1.0;
import "buienradar.js" as BuienradarJS

Tile {
	id: root
	property string displayScale: BuienradarJS.formatScale(app.regenMaxValue, app.yaxisScale)

	onClicked: {
		app.lonlatmapsource = "http://toon/"
		app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=13&size=300x300&markers="  + app.lat + "," + app.lon;
		if (app.buienradarEditLonLatScreen) {
			app.buienradarEditLonLatScreen.show();
		}
	}

	Text {
		id: buienradarRegenTileTitleText
		anchors {
			baseline: parent.top
			baselineOffset: 30
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "Regenverwachting"
		visible: app.showRain
	}

	Text {
		id: buienradarRegenTileTitleText2
		anchors {
			baseline: parent.top
			baselineOffset: 90
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "Geen neerslag verwacht"
		visible: !app.showRain
	}

	Item {
		id: brgraphItem

		anchors {
			bottom: parent.bottom
			bottomMargin: 41
			horizontalCenter: parent.horizontalCenter
		}
		height: 72
		width: 160

		AreaGraphControl {
			id: areaGraph

			width: parent.width
			height: parent.height
			color: colors.graphTileRect
			yScale: app.yaxisScale ? (height / app.yaxisScale) : (height / app.regenMaxValue)
			showNaN: false
			values: app.regenVerwachting
		}
		visible: app.showRain
		
	}

	Text {
		id: buienradarYaxis
		anchors {
			baseline: parent.top
			baselineOffset: 45
			left: parent.left
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: app.yaxisScale ? app.yaxisScale : app.regenMaxValue
		visible: app.showRain
	}

	Text {
		id: buienradarYaxismm
		anchors {
			baseline: parent.top
			baselineOffset: 60
			left: parent.left
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "mm"
		visible: app.showRain
	}


	Rectangle {
		id: lineYaxis
		color: colors.graphTileRect
		height: 72
		width: 1
		anchors {
			bottom: parent.bottom
			bottomMargin: 42
			left: brgraphItem.left
		}
		visible: app.showRain
	}

	Rectangle {
		id: lineYaxisTopMarker1
		color: colors.graphTileRect
		height: 1
		width: 6
		anchors {
			bottom: parent.bottom
			bottomMargin: 113
			left: brgraphItem.left - 6
		}
		visible: app.showRain
	}

	Text {
		id: leftTimeText
		anchors {
			horizontalCenter: brgraphItem.left
			baseline: brgraphItem.bottom
			baselineOffset: 25
		}
		font {
			family: qfont.regular.name
			pixelSize: 20
		}
		color: colors.tileTextColor
		text: app.regenVerwachtingVanaf
		visible: app.showRain
	}

	Text {
		id: midTimeText
		anchors {
			horizontalCenter: brgraphItem.horizontalCenter
			baseline: brgraphItem.bottom
			baselineOffset: 25
		}
		font {
			family: qfont.regular.name
			pixelSize: 20
		}
		color: colors.tileTextColor
		text: app.regenVerwachtingMidden
		visible: app.showRain
	}
	Text {
		id: rightTimeText
		anchors {
			horizontalCenter: brgraphItem.right
			baseline: brgraphItem.bottom
			baselineOffset: 25
		}
		font {
			family: qfont.regular.name
			pixelSize: 20
		}
		color: colors.tileTextColor
		text: app.regenVerwachtingTot
		visible: app.showRain
	}

	/// horizontal Repeater representing 10 minutes markers

	Row {
		id: xLegendRow
		anchors.top: brgraphItem.bottom
		anchors.left: brgraphItem.left
		width: brgraphItem.width

		Repeater {
			id: xLegendRepeater
			model: 13
			Item {
				height: 8
				width: brgraphItem.width / 12

				Rectangle {
					id: linexaxisMarker
					color: colors.graphTileRect
					height: (index === 6) || (index === 0) || (index ===12) ? 6 : 3
					width: 1

					anchors {
						baseline: parent.top
						left: parent.left
					}
					visible: app.showRain
				}
			}
		}
	}
}
